All of lore.kernel.org
 help / color / mirror / Atom feed
From: carsten.haitzler@foss.arm.com
To: linux-kernel@vger.kernel.org
Cc: coresight@lists.linaro.org, suzuki.poulose@arm.com,
	mathieu.poirier@linaro.org, mike.leach@linaro.org,
	leo.yan@linaro.org, linux-perf-users@vger.kernel.org,
	acme@kernel.org
Subject: [PATCH v7 08/14] perf test: Add memcpy thread test shell script
Date: Fri, 12 Aug 2022 13:16:35 +0100	[thread overview]
Message-ID: <20220812121641.336465-9-carsten.haitzler@foss.arm.com> (raw)
In-Reply-To: <20220812121641.336465-1-carsten.haitzler@foss.arm.com>

From: Carsten Haitzler <carsten.haitzler@arm.com>

Add a script to drive the threaded memcpy test that gathers data so
it passes a minimum bar for amount and quality of content that we
extract from the kernel's perf support.

Signed-off-by: Carsten Haitzler <carsten.haitzler@arm.com>
---
 .../shell/coresight/memcpy_thread_16k_10.sh    | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)
 create mode 100755 tools/perf/tests/shell/coresight/memcpy_thread_16k_10.sh

diff --git a/tools/perf/tests/shell/coresight/memcpy_thread_16k_10.sh b/tools/perf/tests/shell/coresight/memcpy_thread_16k_10.sh
new file mode 100755
index 000000000000..d21ba8545938
--- /dev/null
+++ b/tools/perf/tests/shell/coresight/memcpy_thread_16k_10.sh
@@ -0,0 +1,18 @@
+#!/bin/sh -e
+# CoreSight / Memcpy 16k 10 Threads
+
+# SPDX-License-Identifier: GPL-2.0
+# Carsten Haitzler <carsten.haitzler@arm.com>, 2021
+
+TEST="memcpy_thread"
+. $(dirname $0)/../lib/coresight.sh
+ARGS="16 10 1"
+DATV="16k_10"
+DATA="$DATD/perf-$TEST-$DATV.data"
+
+perf record $PERFRECOPT -o "$DATA" "$BIN" $ARGS
+
+perf_dump_aux_verify "$DATA" 10 10 10
+
+err=$?
+exit $err
-- 
2.32.0


  parent reply	other threads:[~2022-08-12 12:17 UTC|newest]

Thread overview: 26+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-08-12 12:16 [PATCH v7 00/14] perf: test: Add trace data quality tests for CoreSight carsten.haitzler
2022-08-12 12:16 ` [PATCH v7 01/14] perf test: Refactor shell tests allowing subdirs carsten.haitzler
2022-08-12 12:16 ` [PATCH v7 02/14] perf test: Add CoreSight shell lib shared code for future tests carsten.haitzler
2022-08-12 12:16 ` [PATCH v7 03/14] perf test: Add build infra for perf test tools for CoreSight tests carsten.haitzler
2022-08-12 12:16 ` [PATCH v7 04/14] perf test: Add asm pureloop test tool carsten.haitzler
2022-08-12 12:16 ` [PATCH v7 05/14] perf test: Add asm pureloop test shell script carsten.haitzler
2022-08-12 12:16 ` [PATCH v7 06/14] perf test: Add git ignore for perf data generated by the CoreSight tests carsten.haitzler
2022-08-12 12:16 ` [PATCH v7 07/14] perf test: Add memcpy thread test tool carsten.haitzler
2022-08-12 12:16 ` carsten.haitzler [this message]
2022-08-12 12:16 ` [PATCH v7 09/14] perf test: Add thread loop " carsten.haitzler
2022-08-12 12:16 ` [PATCH v7 10/14] perf test: Add thread loop test shell scripts carsten.haitzler
2022-08-12 12:16 ` [PATCH v7 11/14] perf test: Add unroll thread test tool carsten.haitzler
2022-08-12 12:16 ` [PATCH v7 12/14] perf test: Add unroll thread test shell script carsten.haitzler
2022-08-12 12:16 ` [PATCH v7 13/14] perf test: Add git ignore for tmp and output files of CoreSight tests carsten.haitzler
2022-08-12 12:16 ` [PATCH v7 14/14] perf test: Add relevant documentation about CoreSight testing carsten.haitzler
2022-08-12 18:51 ` [PATCH v7 00/14] perf: test: Add trace data quality tests for CoreSight Arnaldo Carvalho de Melo
2022-08-12 18:53   ` Arnaldo Carvalho de Melo
2022-08-12 18:55     ` Arnaldo Carvalho de Melo
2022-08-12 19:00       ` Arnaldo Carvalho de Melo
2022-08-15  8:00         ` Carsten Haitzler
2022-08-15  8:02     ` Carsten Haitzler
2022-08-12 19:02 ` Arnaldo Carvalho de Melo
2022-08-13 14:17   ` Leo Yan
2022-08-13 18:10     ` Arnaldo Carvalho de Melo
2022-08-13 18:11       ` Arnaldo Carvalho de Melo
2022-08-13 18:14         ` Arnaldo Carvalho de Melo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20220812121641.336465-9-carsten.haitzler@foss.arm.com \
    --to=carsten.haitzler@foss.arm.com \
    --cc=acme@kernel.org \
    --cc=coresight@lists.linaro.org \
    --cc=leo.yan@linaro.org \
    --cc=linux-kernel@vger.kernel.org \
    --cc=linux-perf-users@vger.kernel.org \
    --cc=mathieu.poirier@linaro.org \
    --cc=mike.leach@linaro.org \
    --cc=suzuki.poulose@arm.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.